<?php
/*
Plugin Name: Grid Overlay for Elementor
Description: A plugin to add grid overlays for layout alignment in Elementor.
Version: 1.0
Author: Your Name
*/

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

// Enqueue plugin styles and scripts
function grids_enqueue_assets() {
    wp_enqueue_style(
        'grid-overlay-style',
        plugin_dir_url( __FILE__ ) . 'assets/style.css'
    );
    wp_enqueue_script(
        'grid-overlay-script',
        plugin_dir_url( __FILE__ ) . 'assets/script.js',
        array(),
        '1.0',
        true
    );
}

add_action( 'wp_enqueue_scripts', 'grids_enqueue_assets' );
add_action( 'elementor/preview/enqueue_scripts', 'grids_enqueue_assets' );
add_action( 'elementor/preview/enqueue_styles', 'grids_enqueue_assets' );

// Add isAdmin flag for administrators
add_action( 'wp_footer', function () {
    if ( is_user_logged_in() && current_user_can( 'administrator' ) ) {
        echo '<script>const isAdmin = true;</script>';
    } else {
        echo '<script>const isAdmin = false;</script>';
    }
});